> For the complete documentation index, see [llms.txt](https://docs.enclaive.cloud/enclaive-multi-cloud-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enclaive.cloud/enclaive-multi-cloud-platform/developers/api/client-api/manage/configurations/price.md).

# Price

Within the "Price" subsection, developers can access detailed pricing information for various resource types.

## Get prices

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/api/providers/{id}/locations/{locationId}/images/{imageName}/prices`

Get all the available prices that can be used to create a particular resource type ( vm, k8s, db , app ).

#### Path Parameters

| Name                                         | Type   | Description             |
| -------------------------------------------- | ------ | ----------------------- |
| id<mark style="color:red;">\*</mark>         | String | Provider ID             |
| locationId<mark style="color:red;">\*</mark> | String | Location ID             |
| imageName<mark style="color:red;">\*</mark>  | String | Ubuntu, AmazonLinux ... |

#### Headers

| Name                                            | Type   | Description  |
| ----------------------------------------------- | ------ | ------------ |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer Token |

{% tabs %}
{% tab title="200: OK " %}

```json
[
    {
        "_id": "6548a384e2442d14b6bf9766",
        "provider": "6548a383e2442d14b6bf9688",
        "locationName": "eu-west-1",
        "sizeName": "m6a.large",
        "imageName": "AmazonLinux",
        "currencyCode": "EUR",
        "pricePerHour": 0.0898,
        "pricePerMonth": 65.55,
        "createdAt": "2023-11-06T08:27:48.371Z",
        "updatedAt": "2023-11-06T08:27:48.371Z"
    },
    {
        "_id": "6548a384e2442d14b6bf9767",
        "provider": "6548a383e2442d14b6bf9688",
        "locationName": "eu-west-1",
        "sizeName": "m6a.xlarge",
        "imageName": "AmazonLinux",
        "currencyCode": "EUR",
        "pricePerHour": 0.1797,
        "pricePerMonth": 131.18,
        "createdAt": "2023-11-06T08:27:48.372Z",
        "updatedAt": "2023-11-06T08:27:48.372Z"
    },
    {
        "_id": "6548a384e2442d14b6bf9768",
        "provider": "6548a383e2442d14b6bf9688",
        "locationName": "eu-west-1",
        "sizeName": "m6a.2xlarge",
        "imageName": "AmazonLinux",
        "currencyCode": "EUR",
        "pricePerHour": 0.3593,
        "pricePerMonth": 262.29,
        "createdAt": "2023-11-06T08:27:48.372Z",
        "updatedAt": "2023-11-06T08:27:48.372Z"
    }
]
```

{% endtab %}
{% endtabs %}
